org.keycloak.email.freemarker

## Class FreeMarkerEmailProvider

- java.lang.Object
- - org.keycloak.email.freemarker.FreeMarkerEmailProvider

- All Implemented Interfaces:
    EmailProvider, Provider

      public class FreeMarkerEmailProvider
      extends Object
      implements EmailProvider

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeMarkerEmailProvider(KeycloakSession session, FreeMarkerUtil freeMarker)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `sendEvent(Event event)`
    `void` | `sendPasswordReset(String link, long expirationInMinutes)`
    `void` | `sendVerifyEmail(String link, long expirationInMinutes)`
    `EmailProvider` | `setRealm(RealmModel realm)`
    `EmailProvider` | `setUser(UserModel user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreeMarkerEmailProvider

          public FreeMarkerEmailProvider(KeycloakSession session,
                                 FreeMarkerUtil freeMarker)

  - ### Method Detail

    - #### setRealm

          public EmailProvider setRealm(RealmModel realm)

      Specified by:
        `setRealm` in interface `EmailProvider`

    - #### setUser

          public EmailProvider setUser(UserModel user)

      Specified by:
        `setUser` in interface `EmailProvider`

    - #### sendEvent

          public void sendEvent(Event event)
                         throws EmailException

      Specified by:
        `sendEvent` in interface `EmailProvider`
      Throws:
        `EmailException`

    - #### sendPasswordReset

          public void sendPasswordReset(String link,
                               long expirationInMinutes)
                                 throws EmailException

      Specified by:
        `sendPasswordReset` in interface `EmailProvider`
      Throws:
        `EmailException`

    - #### sendVerifyEmail

          public void sendVerifyEmail(String link,
                             long expirationInMinutes)
                               throws EmailException

      Specified by:
        `sendVerifyEmail` in interface `EmailProvider`
      Throws:
        `EmailException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2015. All Rights Reserved.